package com.tanya.careerguidanceproject

class UserModal(

    var UserName: String,
    var UserEmailId: String,
    var UserMobileNumber: String,
    var UserPassword: String

) {
    var id = 0
/*
   // creating getter and setter methods
    @JvmName("getUserName1")
    fun getUserName(): String? {
        return UserName
    }

    @JvmName("setUserName1")
    fun setUserName(UserName: String?) {
        this.UserName = UserName!!
    }

    @JvmName("getUserEmail1")
    fun getUserEmail(): String? {
        return UserEmailId
    }

    @JvmName("setUserEmail1")
    fun setUserEmail(UserEmailId: String?) {
        this.UserEmailId = UserEmailId!!
    }

    @JvmName("getUserMobileNo1")
    fun getUserMobileNo(): Int? {
        return UserMobileNumber
    }

    @JvmName("setUserMobileNo1")
    fun setUserMobileNo(UserMobileNumber: Int?) {
        this.UserMobileNumber = UserMobileNumber!!
    }

    @JvmName("getUserPassword1")
    fun getUserPassword(): String? {
        return UserPassword
    }

    @JvmName("setUserPassword1")
    fun setUserPassword(UserPassword: String?) {
        this.UserPassword = UserPassword!!
    }

    @JvmName("getId1")
    fun getId(): Int {
        return id
    }

    @JvmName("setId1")
    fun setId(id: Int) {
        this.id = id
    }*/
}

/*
class Todo {
    var id = 0
    var UserName: String? = null
    var UserEmailId: String? = null
    var UserMobileNumber: Int? = 0
    var UserPassword: String? = null

    // constructors
    constructor() {}
    constructor(UserName: String?, UserEmailId: String?, UserMobileNumber: Int?, UserPassword: String?) {
        this.UserName = UserName
        this.UserEmailId = UserEmailId
        this.UserMobileNumber = UserMobileNumber
        this.UserPassword = UserPassword
    }

    constructor(id: Int, UserName: String?, UserEmailId: String?, UserMobileNumber: Int?, UserPassword: String?) {
        this.id = id
        this.UserName = UserName
        this.UserEmailId = UserEmailId
        this.UserMobileNumber = UserMobileNumber
        this.UserPassword = UserPassword
    }

    // setters
    fun setId(id: Int) {
        this.id = id
    }

    fun setCreatedAt(created_at: String?) {
        this.created_at = created_at
    }

    // getters
    fun getId(): Long {
        return id.toLong()
    }
}*/